// Copyright 2022 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
import { ShoppingServiceHandlerFactory, ShoppingServiceHandlerRemote } from './shopping_service.mojom-webui.js';
let instance = null;
export class ShoppingServiceBrowserProxyImpl {
    handler;
    constructor() {
        this.handler = new ShoppingServiceHandlerRemote();
        const factory = ShoppingServiceHandlerFactory.getRemote();
        factory.createShoppingServiceHandler(this.handler.$.bindNewPipeAndPassReceiver());
    }
    static getInstance() {
        return instance || (instance = new ShoppingServiceBrowserProxyImpl());
    }
    static setInstance(obj) {
        instance = obj;
    }
}
